Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/vzkernel: new aport

From: Dennis Przytarski <dennis_at_przytarski.com>
Date: Wed, 6 Jan 2016 15:43:18 +0000

https://openvz.org/Download/kernel
OpenVZ RHEL6-based stable kernel
---
 testing/vzkernel/APKBUILD | 93 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 93 insertions(+)
 create mode 100644 testing/vzkernel/APKBUILD
diff --git a/testing/vzkernel/APKBUILD b/testing/vzkernel/APKBUILD
new file mode 100644
index 0000000..dbadc13
--- /dev/null
+++ b/testing/vzkernel/APKBUILD
_at_@ -0,0 +1,93 @@
+# Contributor: Dennis Przytarski <dennis_at_przytarski.com>
+# Maintainer: Dennis Przytarski <dennis_at_przytarski.com>
+pkgname=vzkernel
+pkgver=2.6.32.113.11
+_kver=`echo "$pkgver" | cut -d . -f -3`
+_pver="042stab"`echo "$pkgver" | cut -d . -f 4-`
+pkgrel=0
+pkgdesc="OpenVZ RHEL6-based stable kernel"
+url="https://openvz.org/Download/kernel"
+arch="x86_64"
+license="GPL2"
+depends_dev="libc6-compat ncurses5-widec-libs"
+makedepends="$depends_dev rpm"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-headers $pkgname-firmware"
+source="http://download.openvz.org/kernel/branches/rhel6-$_kver/$_pver/vzkernel-$_kver-$_pver.x86_64.rpm
+	http://download.openvz.org/kernel/branches/rhel6-$_kver/$_pver/vzkernel-devel-$_kver-$_pver.x86_64.rpm
+	http://download.openvz.org/kernel/branches/rhel6-$_kver/$_pver/vzkernel-headers-$_kver-$_pver.x86_64.rpm
+	http://download.openvz.org/kernel/branches/rhel6-$_kver/$_pver/vzkernel-firmware-$_kver-$_pver.noarch.rpm
+	"
+options="!strip"
+
+prepare() {
+	return 0
+}
+
+build() {
+	return 0
+}
+
+package() {
+	depends="mkinitfs $pkgname-firmware"
+
+	mkdir -p "$pkgdir" || return 1
+	cd "$pkgdir" || return 1
+	rpm2cpio "$srcdir"/vzkernel-$_kver-$_pver.x86_64.rpm | cpio -idmv || return 1
+
+	mv boot/System.map-* boot/System.map-"$pkgname" || return 1
+	mv boot/config-* boot/config-"$pkgname" || return 1
+	mv boot/symvers-* boot/symvers-"$pkgname" || return 1
+	mv boot/vmlinuz-* boot/vmlinuz-"$pkgname" || return 1
+
+	# move symlinks to prevent -dev as dependency
+	mkdir -p ../"$pkgname"-dev/lib/modules/$_kver-$_pver || return 1
+	mv lib/modules/$_kver-$_pver/build ../"$pkgname"-dev/lib/modules/$_kver-$_pver/ || return 1
+	mv lib/modules/$_kver-$_pver/source ../"$pkgname"-dev/lib/modules/$_kver-$_pver/ || return 1
+}
+
+dev() {
+	mkdir -p "$subpkgdir" || return 1
+	cd "$subpkgdir" || return 1
+	rpm2cpio "$srcdir"/vzkernel-devel-$_kver-$_pver.x86_64.rpm | cpio -idmv || return 1
+
+	install -D usr/src/kernels/"$_kver"-"$_pver"/include/config/kernel.release \
+		"$pkgdir"/usr/share/kernel/"$pkgname"/kernel.release || return 1
+}
+
+doc() {
+	arch="noarch"
+
+	mkdir -p "$subpkgdir" || return 1
+}
+
+headers() {
+	arch="noarch"
+
+	mkdir -p "$subpkgdir" || return 1
+	cd "$subpkgdir" || return 1
+	rpm2cpio "$srcdir"/vzkernel-headers-$_kver-$_pver.x86_64.rpm | cpio -idmv || return 1
+}
+
+firmware() {
+	arch="noarch"
+
+	mkdir -p "$subpkgdir" || return 1
+	cd "$subpkgdir" || return 1
+	rpm2cpio "$srcdir"/vzkernel-firmware-$_kver-$_pver.noarch.rpm | cpio -idmv || return 1
+
+	# move documentation
+	mv usr ../"$pkgname"-doc/
+}
+
+md5sums="ceab183079c97923fc1abc318bb4e7c1  vzkernel-2.6.32-042stab113.11.x86_64.rpm
+d938d0e6191eb1ce1e1efc0a36769629  vzkernel-devel-2.6.32-042stab113.11.x86_64.rpm
+43c1e70938c11dab5a29d13d3221f28a  vzkernel-headers-2.6.32-042stab113.11.x86_64.rpm
+5e6218acf671e547794c98b62624aa9a  vzkernel-firmware-2.6.32-042stab113.11.noarch.rpm"
+sha256sums="1b44c2d8f23456cc7fb1a47ccb48717a38977ba62facb4d88092af5580b2c57a  vzkernel-2.6.32-042stab113.11.x86_64.rpm
+e480e070962097f0cc10ef3ba7c71a98ac929198971a5a7914096cff859245c6  vzkernel-devel-2.6.32-042stab113.11.x86_64.rpm
+e9eb33349563d918acf91ce26057d2d7cabd855fd44bb9e9524847f005c61554  vzkernel-headers-2.6.32-042stab113.11.x86_64.rpm
+9fabf75282d1b5ceeb69aaa314e37114c682d7698c0afc9d8e998aea57f238e7  vzkernel-firmware-2.6.32-042stab113.11.noarch.rpm"
+sha512sums="092161fc04c30c09ed8efbb3080e5a8cee1c9ac11369846f6ffd57cccb433f3ca265ca64d41854642a786f06ff0a15fb344801550707222596d6190417025591  vzkernel-2.6.32-042stab113.11.x86_64.rpm
+9ab62962410e743f7b67feddf43fd5643b1c060d4b42cd944096df1dd50f3f426783c1484a1166fdf6420ccea5ee5701b2ba11e0eda3b9ed64dcbd22d03a6b65  vzkernel-devel-2.6.32-042stab113.11.x86_64.rpm
+627108dfe1d58698826c4e71b48e91a4b48f5bf594e695323ff59e4529a5d654067c0fed4592ea0443c753129211409da926f31f3c17c9c9d97a30ac4dbf81b7  vzkernel-headers-2.6.32-042stab113.11.x86_64.rpm
+8c478ad91aa893adab75b4446f1fbfa227819c2c557b7e4132ab843129baa3c290da61d76dc109c3ef79a20d9c08b549e435ec00df4ad4664092868b31974935  vzkernel-firmware-2.6.32-042stab113.11.noarch.rpm"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 06 2016 - 15:43:18 GMT